classification_metrics = {
    "accuracy": {
        "factor": 1,
        "name": "Accuracy"
    },
    "balanced_accuracy": {
        "factor": 1,
        "name": "Balanced Accuracy"
    },
    "average_precision": {
        "factor": 1,
        "name": "Average Precision"
    },
    "neg_brier_score": {
        "factor": -1,
        "name": "Brier Score"
    },
    "f1": {
        "factor": 1,
        "name": "F1 Score"
    },
    "f1_micro": {
        "factor": 1,
        "name": "F1 Score - Micro Averaged"
    },
    "f1_macro": {
        "factor": 1,
        "name": "F1 Score - Macro Averaged"
    },
    "f1_weighted": {
        "factor": 1,
        "name": "F1 Score - Weighted Averaged"
    },
    "f1_samples": {
        "factor": 1,
        "name": "F1 Score - Samples"
    },
    "neg_log_loss": {
        "factor": -1,
        "name": "Logarithmic Loss"
    },
    "precision": {
        "factor": 1,
        "name": "Precision Score"
    },
    "precision_micro": {
        "factor": 1,
        "name": "Precision Score - Micro Averaged"
    },
    "precision_macro": {
        "factor": 1,
        "name": "Precision Score - Macro Averaged"
    },
    "precision_weighted": {
        "factor": 1,
        "name": "Precision Score - Weighted Averaged"
    },
    "precision_samples": {
        "factor": 1,
        "name": "Precision Score - Samples"
    },
    "recall": {
        "factor": 1,
        "name": "Recall Score"
    },
    "recall_micro": {
        "factor": 1,
        "name": "Recall Score - Micro Averaged"
    },
    "recall_macro": {
        "factor": 1,
        "name": "Recall Score - Macro Averaged"
    },
    "recall_weighted": {
        "factor": 1,
        "name": "Recall Score - Weighted Averaged"
    },
    "recall_samples": {
        "factor": 1,
        "name": "Recall Score - Samples"
    },
    "jaccard": {
        "factor": 1,
        "name": "Jaccard Score"
    },
    "jaccard_micro": {
        "factor": 1,
        "name": "Jaccard Score - Micro Averaged"
    },
    "jaccard_macro": {
        "factor": 1,
        "name": "Jaccard Score - Macro Averaged"
    },
    "jaccard_weighted": {
        "factor": 1,
        "name": "Jaccard Score - Weighted Averaged"
    },
    "jaccard_samples": {
        "factor": 1,
        "name": "Jaccard Score - Samples"
    },
    "roc_auc": {
        "factor": 1,
        "name": "Area Under the Curve Score"
    },
    "roc_auc_ovr": {
        "factor": 1,
        "name": "Area Under the Curve Score - OVR"
    },
    "roc_auc_ovo": {
        "factor": 1,
        "name": "Area Under the Curve Score - OVO"
    },
    "roc_auc_ovr_weighted": {
        "factor": 1,
        "name": "Area Under the Curve Score - Weighted - OVR"
    },
    "roc_auc_ovo_weighted": {
        "factor": 1,
        "name": "Area Under the Curve Score - Weighted - OVO"
    },
}